Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.geometry.modelloader.ms3d
Class MaterialMS3D

    java.lang.Object
      de.rico.engine.geometry.modelloader.ms3d.MaterialMS3D

    public class MaterialMS3D

extends java.lang.Object

A Material is a texture map in MS3D. Currently, as of version 0.1 of najgl, only bitmap (*.bmp) textures are supported.

Version:
  0.1
Author:
  naj

Field Summary
`java.lang.String` | `alphaMap` The filename of the alpah map.
`float[]` | `ambient` An array of (r,g,b,a) color values for natural light.
`java.lang.String` | `colorMap` The filename of the color map.
`float[]` | `diffuse` An array of (r,g,b,a) color values for indirect light.
`float[]` | `emissive` An array of (r,g,b,a) color values for projected light.
`int` | `glTextureAddress` A pointer to the memory address of the texture in opengl memory.
`java.lang.String` | `name` The filename of the bitmap.
`float` | `shininess` The ammount of light to be reflected off of the texture.
`float[]` | `specular` An array of (r,g,b,a) color values for direct light.
`float` | `transparency` The ammount of light to pass through the texture.

Constructor Summary
`MaterialMS3D()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  The filename of the bitmap. Must be relative to the loaded model file.

### colorMap

    public java.lang.String colorMap

  The filename of the color map. Must be relative to the loaded model file.

### alphaMap

    public java.lang.String alphaMap

  The filename of the alpah map. Must be relative to the loaded model file.

### glTextureAddress

    public int glTextureAddress

  A pointer to the memory address of the texture in opengl memory.

### ambient

    public float[] ambient

  An array of (r,g,b,a) color values for natural light.

### diffuse

    public float[] diffuse

  An array of (r,g,b,a) color values for indirect light.

### specular

    public float[] specular

  An array of (r,g,b,a) color values for direct light.

### emissive

    public float[] emissive

  An array of (r,g,b,a) color values for projected light.

### shininess

    public float shininess

  The ammount of light to be reflected off of the texture.

### transparency

    public float transparency

  The ammount of light to pass through the texture.

Constructor Detail

### MaterialMS3D

    public MaterialMS3D()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD